Activity log for bug #1818669

Date Who What changed Old value New value Message
2019-03-05 14:10:13 raphael.glon bug added bug
2019-03-05 14:14:16 raphael.glon description static routes rendered for eni configuration are not correct for static ipv6 routes example: config: - mac_address: aa:12:bc:34:ee:ac name: eno3 subnets: - address: fd00::12/64 dns_nameservers: ['fd00:2::15'] gateway: fd00::1 ipv6: true routes: - netmask: '32' network: 'fd00:12::' gateway: fd00::2 type: static type: physical version: 1 Cloud init renders: """ auto lo iface lo inet loopback auto eno3 iface eno3 inet6 static address fd00::12/64 dns-nameservers fd00:2::15 gateway fd00::1 post-up route add -net fd00:12:: netmask 32 gw fd00::2 || true pre-down route del -net fd00:12:: netmask 32 gw fd00::2 || true """ but the post-up/pre-down commands are incorrect (tested, even when replacing the 32 netmask by ffff:ffff::) One working version """ post-up route add -A inet6 fd00:12::/32 gw fd00::2 || true pre-down route del -A inet6 fd00:12::/32 gw fd00::2 || true """ Fix proposal available here https://code.launchpad.net/~raphael-glon/cloud-init/+git/cloud-init/+merge/363970 static routes rendered for eni configuration are not correct example: config:     - mac_address: aa:12:bc:34:ee:ac       name: eno3       subnets:       - address: fd00::12/64         dns_nameservers: ['fd00:2::15']         gateway: fd00::1         ipv6: true         routes:         - netmask: '32'           network: 'fd00:12::'           gateway: fd00::2         type: static       type: physical     version: 1 Cloud init renders: """ auto lo iface lo inet loopback auto eno3 iface eno3 inet6 static     address fd00::12/64     dns-nameservers fd00:2::15     gateway fd00::1     post-up route add -net fd00:12:: netmask 32 gw fd00::2 || true     pre-down route del -net fd00:12:: netmask 32 gw fd00::2 || true """ but the post-up/pre-down commands are incorrect (tested, even when replacing the 32 netmask by ffff:ffff::) One working version """     post-up route add -A inet6 fd00:12::/32 gw fd00::2 || true     pre-down route del -A inet6 fd00:12::/32 gw fd00::2 || true """ Fix proposal available here https://code.launchpad.net/~raphael-glon/cloud-init/+git/cloud-init/+merge/363970
2019-03-06 17:51:53 raphael.glon merge proposal linked https://code.launchpad.net/~raphael-glon/cloud-init/+git/cloud-init/+merge/363970
2019-03-21 13:38:58 Server Team CI bot cloud-init: status New Fix Committed
2019-05-10 18:08:22 Chad Smith cloud-init: status Fix Committed Fix Released